Bug 1006481 - UI support for 'extends' rule keyword broken
UI support for 'extends' rule keyword broken
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
Unspecified Unspecified
high Severity high
: ER6
: 6.0.0
Assigned To: Toni Rikkola
Jiri Locker
Depends On:
  Show dependency treegraph
Reported: 2013-09-10 13:02 EDT by Jiri Locker
Modified: 2014-08-06 16:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-08-06 16:16:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jiri Locker 2013-09-10 13:02:10 EDT
Description of problem:
Most importantly, the dropdown list of rules available to be extended doesn't seem to be up-to-date. When I create two rules and try to extend one with another the list is empty. I'm usually able to fix this by restarting the server(!). On the other hand, in mortgages project it always remains empty, no way to fix.

Secondly, when I manage to get some rules in the list, there is a lot of rules from different packages, which it is not allowed to extend (according to error message during validation). If this restriction is valid, rules from different packages should not be offered for extension.

And lastly, when I try to extend a rule from the same package, I get the same validation error again: "Unable to resolve parent rule, please check that both rules are in the same package".

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual results:
As described.

Expected results:
The rule list should only contain rules from the same package and it should include rules that were creating in "runtime" without the need to rebuild the project or restart server.

Additional info:
Comment 4 Jiri Locker 2013-10-17 11:51:44 EDT
Fixed in ER4.
Comment 5 Jiri Locker 2013-10-29 12:11:42 EDT
Sorry, this not fixed completely. New rules are still not listed until the server is restarted. I have missed this.
Comment 6 Jiri Locker 2014-01-13 11:20:07 EST
Verified in ER7.

Note You need to log in before you can comment on or make changes to this bug.